Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## simogl.gamecore
Class Renderer

    java.lang.Object
      simogl.gamecore.Renderer

All Implemented Interfaces:
  java.util.EventListener, javax.media.opengl.GLEventListener

    public class Renderer

extends java.lang.Object
implements javax.media.opengl.GLEventListener

This class is responsible for rendering the scene

Author:
  Frank Bruns

Constructor Summary
`Renderer(javax.media.opengl.GLCanvas canvas, javax.swing.JFrame frame)` Creates the render thread (GL event listener)

Method Summary
`void` | `display(javax.media.opengl.GLAutoDrawable gld)` JOGL display method
`void` | `displayChanged(javax.media.opengl.GLAutoDrawable gld, boolean arg1, boolean arg2)`
`void` | `init(javax.media.opengl.GLAutoDrawable gld)` JOGL init method
`void` | `reshape(javax.media.opengl.GLAutoDrawable gld, int x, int y, int width, int height)` JOGL reshape method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer(javax.media.opengl.GLCanvas canvas,
                    javax.swing.JFrame frame)

  Creates the render thread (GL event listener)

  Parameters:
    `canvas` - the canvas on which to render
    `frame` - the main frame of the application

Method Detail

### init

    public void init(javax.media.opengl.GLAutoDrawable gld)

  JOGL init method

  Specified by:
    `init` in interface `javax.media.opengl.GLEventListener`

### reshape

    public void reshape(javax.media.opengl.GLAutoDrawable gld,
                        int x,
                        int y,
                        int width,
                        int height)

  JOGL reshape method

  Specified by:
    `reshape` in interface `javax.media.opengl.GLEventListener`

### display

    public void display(javax.media.opengl.GLAutoDrawable gld)

  JOGL display method

  Specified by:
    `display` in interface `javax.media.opengl.GLEventListener`

### displayChanged

    public void displayChanged(javax.media.opengl.GLAutoDrawable gld,
                               boolean arg1,
                               boolean arg2)

  Specified by:
    `displayChanged` in interface `javax.media.opengl.GLEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD